Skip to main content
POST
/
api
/
v1
/
payment-links
Create a payment link
curl --request POST \
  --url https://core.quidkey.com/api/v1/payment-links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "order": {
    "amount": 5000,
    "currency": "EUR",
    "payment_reference": "INV-2024-001"
  }
}
'
{
  "success": true,
  "data": {
    "link_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "payment_link_url": "https://core.quidkey.com/payment-link/a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2",
    "expires_at": "2024-04-07T12:00:00.000Z",
    "status": "active"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Payment link details

Request body for creating a payment link

order
object
required

Payment order details

merchant_id
string<uuid>

Required for Partner authentication, forbidden for Merchant authentication

metadata
object

Arbitrary key-value pairs to attach to the payment link

Response

Payment link created successfully

Response from creating a payment link

success
boolean
required
Example:

true

data
object
required